FsShellPermissions.Chown (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, class: FsShellPermissions, class: Chown

Package org.apache.hadoop.fs

# Class FsShellPermissions.Chown

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.hadoop.fs.shell.Command
org.apache.hadoop.fs.shell.FsCommand
org.apache.hadoop.fs.FsShellPermissions
org.apache.hadoop.fs.FsShellPermissions.Chown

All Implemented Interfaces:
  `Configurable`

Direct Known Subclasses:
  `FsShellPermissions.Chgrp`

Enclosing class:
  FsShellPermissions

public static class FsShellPermissions.Chown extends FsShellPermissions
Used to change owner and/or group of files

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.fs.FsShellPermissions

  `FsShellPermissions.Chgrp, FsShellPermissions.Chmod, FsShellPermissions.Chown`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DESCRIPTION`
  `protected String`
  `group`
  `static final String`
  `NAME`
  `protected String`
  `owner`
  `static final String`
  `USAGE`

  ### Fields inherited from class org.apache.hadoop.fs.shell.Command

  `args, COMMAND_DESCRIPTION_FIELD, COMMAND_NAME_FIELD, COMMAND_USAGE_FIELD, err, exceptions, exitCode, name, numErrors, out, recursive`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Chown()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `parseOwnerGroup(String ownerStr)`
  Parse the first argument into an owner and group
  `protected void`
  `processOptions(LinkedList<String> args)`
  Must be implemented by commands to process the command line flags and check the bounds of the remaining arguments.
  `protected void`
  `processPath(PathData item)`
  Hook for commands to implement an operation to be applied on each path for the command.

  ### Methods inherited from class org.apache.hadoop.fs.FsShellPermissions

  `registerCommands`

  ### Methods inherited from class org.apache.hadoop.fs.shell.FsCommand

  `getCommandName, processRawArguments, run, runAll`

  ### Methods inherited from class org.apache.hadoop.fs.shell.Command

  `displayError, displayError, displayWarning, exitCodeForError, expandArgument, expandArguments, getCommandFactory, getDepth, getDescription, getListingGroupSize, getName, getReplacementCommand, getUsage, isDeprecated, isPathRecursable, isRecursive, isSorted, postProcessPath, processArgument, processArguments, processNonexistentPath, processPathArgument, processPaths, processPaths, recursePath, run, run, setCommandFactory, setName, setRecursive`

  ### Methods inherited from class org.apache.hadoop.conf.Configured

  `getConf, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

  - ### USAGE

    public static final String USAGE
    See Also:
      - Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION

  - ### owner

    protected String owner

  - ### group

    protected String group

- ## Constructor Details

  - ### Chown

    public Chown()

- ## Method Details

  - ### processOptions

    protected void processOptions(LinkedList<String> args) throws IOException
    Description copied from class: `Command`
    Must be implemented by commands to process the command line flags and check the bounds of the remaining arguments. If an IllegalArgumentException is thrown, the FsShell object will print the short usage of the command.
    Overrides:
      `processOptions` in class `Command`
    Parameters:
      `args` - the command line arguments
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### parseOwnerGroup

    protected void parseOwnerGroup(String ownerStr)
    Parse the first argument into an owner and group
    Parameters:
      `ownerStr` - string describing new ownership

  - ### processPath

    protected void processPath(PathData item) throws IOException
    Description copied from class: `Command`
    Hook for commands to implement an operation to be applied on each path for the command. Note implementation of this method is optional if earlier methods in the chain handle the operation.
    Overrides:
      `processPath` in class `Command`
    Parameters:
      `item` - a `PathData` object
    Throws:
      `IOException` - if anything else goes wrong in the user-implementation